summaryrefslogtreecommitdiffstats
path: root/network/icecat
diff options
context:
space:
mode:
author melikamp <melikamp@melikamp.net>2011-07-24 17:20:09 -0400
committer Niels Horn <niels.horn@slackbuilds.org>2011-08-11 20:23:15 -0300
commit01efdb094d541431d36cc079db3f583e423b7ec7 (patch)
treeeeb98ffbdad72c56b88acdb0e9605c99ca53143e /network/icecat
parent36a444f4c39a635de97610c375f8ee1462e1b549 (diff)
downloadslackbuilds-01efdb094d541431d36cc079db3f583e423b7ec7.tar.gz
slackbuilds-01efdb094d541431d36cc079db3f583e423b7ec7.tar.xz
network/icecat: Updated for version 5.0.
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'network/icecat')
-rw-r--r--network/icecat/README26
-rw-r--r--network/icecat/icecat.SlackBuild39
-rw-r--r--network/icecat/icecat.info10
3 files changed, 49 insertions, 26 deletions
diff --git a/network/icecat/README b/network/icecat/README
index 8705cf51cf..52b8213827 100644
--- a/network/icecat/README
+++ b/network/icecat/README
@@ -1,10 +1,20 @@
-GNU IceCat is the GNU version of the Firefox browser.
+GNU IceCat is the GNU version of the Firefox browser.
-Its main advantage is an ethical one: it is entirely free software.
-While the principal source code from the Mozilla project is free software,
-the distribution contains various problematic files, the EULA they require
-for use of their binaries is troublesome, and they distribute and recommend
-non-free software as plug-ins.
+Its main advantage is an ethical one: it is entirely free software.
+While the principal source code from the Mozilla project is free
+software, the distribution contains various problematic files, the
+EULA they require for use of their binaries is troublesome, and they
+distribute and recommend non-free software as plug-ins.
-In addition, GNU IceCat includes some privacy protection features included
-in a separate addon:
+In addition, GNU IceCat includes some privacy protection features
+included in a separate addon:
+
+1. Some sites refer to zero-size images on other hosts to keep track
+ of cookies. When IceCat detects this mechanism it blocks cookies
+ from the site hosting the zero-length image file. (It is possible
+ to re-enable such a site by removing it from the blocked hosts
+ list.)
+
+2. Other sites rewrite the host name in links redirecting the user to
+ another site, mainly to "spy" on clicks. When this behavior is
+ detected, IceCat shows a message alerting the user.
diff --git a/network/icecat/icecat.SlackBuild b/network/icecat/icecat.SlackBuild
index 6532b4ceb8..b7b8272b66 100644
--- a/network/icecat/icecat.SlackBuild
+++ b/network/icecat/icecat.SlackBuild
@@ -2,18 +2,27 @@
# Slackware build script for icecat
# Written by David Negroni <dnegroni.italy@gmail.com>
+# Modified by melikamp <melikamp@melikamp.net>
+
+# This program is free software: it is placed into the Public Domain
+# by the author. A verbose dedication is available at
+# http://creativecommons.org/publicdomain/zero/1.0/legalcode
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; compiling, interpreting, executing or merely
+# reading the text of the program may result in lapses of consciousness
+# and/or very being, up to and including the end of all existence and
+# the Universe as we know it.
PRGNAM="icecat"
-VERSION="3.6"
+VERSION="5.0"
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -24,18 +33,18 @@ PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
- LIBDIRSUFFIX=""
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
else
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
-fi
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
set -e
@@ -61,13 +70,17 @@ CXXFLAGS="$SLKCFLAGS" \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--build=$ARCH-slackware-linux || exit 1
-make || exit 1
+make || exit 1
make install DESTDIR=$PKG
+# Stripping is done in .mozconfig, but there is something we can erase:
rm -rf $PKG/usr/lib${LIBDIRSUFFIX}/icecat-devel-$VERSION
rm -rf $PKG/usr/include
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ChangeLog LEGAL LICENSE README.ICECAT README.txt config.cache \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/network/icecat/icecat.info b/network/icecat/icecat.info
index ede5d037b4..1309738080 100644
--- a/network/icecat/icecat.info
+++ b/network/icecat/icecat.info
@@ -1,10 +1,10 @@
PRGNAM="icecat"
-VERSION="3.6"
+VERSION="5.0"
HOMEPAGE="http://www.gnu.org/software/gnuzilla/"
-DOWNLOAD="http://ftp.gnu.org/gnu/gnuzilla/3.6/icecat-3.6.tar.bz2"
-MD5SUM="81ec5a9c407a7206bbd65155054689dd"
+DOWNLOAD="http://ftp.gnu.org/gnu/gnuzilla/5.0/icecat-5.0.tar.bz2"
+MD5SUM="fad039a364be10a8ef5becdc2b3a383e"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-MAINTAINER="David Negroni"
-EMAIL="dnegroni.italy@gmail.com"
+MAINTAINER="melikamp"
+EMAIL="melikamp@melikamp.net"
APPROVED="dsomero"